﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Data;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ComparisSilverlightChallenge.CarfinderSvc;

namespace ComparisSilverlightChallenge
{
    /// <summary>
    /// Demo page that displays ads in a ListBox.
    /// </summary>
    /// <remarks>
    /// This sample code can be used, modified or removed for the competition.
    /// </remarks>
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            CarfinderServiceClient client = new CarfinderServiceClient();

            /// Override the binding manually to transfer more than 64K of data
            /// because ServiceReferences.ClientConfig is ignored in 
            /// Silverlight 2 Beta 1.

            System.ServiceModel.BasicHttpBinding binding = new System.ServiceModel.BasicHttpBinding();
            binding.MaxBufferSize = 2147483647;
            binding.MaxReceivedMessageSize = 2147483647;
            client.Endpoint.Binding = binding;

            client.GetExpandedAdsCompleted += new EventHandler<GetExpandedAdsCompletedEventArgs>(client_GetExpandedAdsCompleted);
            client.GetExpandedAdsAsync("select top 10 * from ExpandedAd");
        }

        void client_GetExpandedAdsCompleted(object sender, GetExpandedAdsCompletedEventArgs e)
        {
            this.AdsListBox.ItemsSource = e.Result;
        }
    }

    public class UrlBuilderConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return String.Format("http://localhost:53730/Image.ashx?ID={0}", value.ToString());
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }

    }
}
