﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace ComparisSilverlightChallenge_Web
{
    // NOTE: If you change the interface name "ICarfinderService" here, you must also update the reference to "ICarfinderService" in Web.config.
    [ServiceContract]
    public interface ICarfinderService
    {
        [OperationContract]
        Ad GetAd(int ID);

        [OperationContract]
        List<Ad> GetAds(string sqlQuery);

        [OperationContract]
        CarMake GetCarMake(int ID);

        [OperationContract]
        List<CarMake> GetCarMakes(string sqlQuery);

        [OperationContract]
        CarModel GetCarModel(int ID);

        [OperationContract]
        List<CarModel> GetCarModels(string sqlQuery);

        [OperationContract]
        Vendor GetVendor(int ID);

        [OperationContract]
        List<Vendor> GetVendors(string sqlQuery);

        [OperationContract]
        ExpandedAd GetExpandedAd(int ID);

        [OperationContract]
        List<ExpandedAd> GetExpandedAds(string sqlQuery);
    }
}
